Subject: [sipcore] FW: New Version Notification for draft-dmudric-sipcore-sipv6-addr-selection-00.txt

From: "Mudric, Dusan (Dusan)" <[email-masked]>
Date: Mon, 13 Jan 2020 23:42:40 +0000

Hi,

A new draft has been posted. Please review and comment.

Regards,
Dusan Mudric.

=========================================================

Revision:	00
Title:		SIPv6 Headers and SDP Media Line Address Selection on Multihomed Hosts
Document date:	2020-01-07
Group:		Individual Submission
Pages:		22
URL:            https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_internet-2Ddrafts_draft-2Ddmudric-2Dsipcore-2Dsipv6-2Daddr-2Dselection-2D00.txt&d=DwICaQ&c=BFpWQw8bsuKpl1SgiZH64Q&r=UT3Bk9cbLeaJxhf3iCrhIoUWB8YLZU23029sMQGQ2kY&m=7Bm2yVH2fEAqvxHLsJyOGxplLXkoKlP2AjSjtOG-Xow&s=mgqsOdLYQnbHyztvZEFX4rGNsQM5Biv1NwORaU4L5Mw&e=
Status:         https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_draft-2Ddmudric-2Dsipcore-2Dsipv6-2Daddr-2Dselection_&d=DwICaQ&c=BFpWQw8bsuKpl1SgiZH64Q&r=UT3Bk9cbLeaJxhf3iCrhIoUWB8YLZU23029sMQGQ2kY&m=7Bm2yVH2fEAqvxHLsJyOGxplLXkoKlP2AjSjtOG-Xow&s=j3iRdvUwsCEvOdUrDNKPmplpqmxjamYmBxFIzIbwrDM&e=
Htmlized:       https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Ddmudric-2Dsipcore-2Dsipv6-2Daddr-2Dselection-2D00&d=DwICaQ&c=BFpWQw8bsuKpl1SgiZH64Q&r=UT3Bk9cbLeaJxhf3iCrhIoUWB8YLZU23029sMQGQ2kY&m=7Bm2yVH2fEAqvxHLsJyOGxplLXkoKlP2AjSjtOG-Xow&s=w7OZTlKFWgeaigXzkBhDWMRdwnbigRXlVqunoR2GTOo&e=
Htmlized:       https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_html_draft-2Ddmudric-2Dsipcore-2Dsipv6-2Daddr-2Dselection&d=DwICaQ&c=BFpWQw8bsuKpl1SgiZH64Q&r=UT3Bk9cbLeaJxhf3iCrhIoUWB8YLZU23029sMQGQ2kY&m=7Bm2yVH2fEAqvxHLsJyOGxplLXkoKlP2AjSjtOG-Xow&s=QOTWb_Hbyeesr_czmXSoZ9g7tZBevlLVLyTVgd_7bWs&e=

Abstract:
   In the networks where multihomed hosts can have ULA and GUA addresses
   from different ISPs, multiple SIP signaling and media connectivity
   issues might arise due to inappropriate address selections. Some of
   the problems are described in [RFC5220]. Since SIP and SDP allow IP
   addresses to be embedded into their headers and lines, even if proper
   addresses are selected initially, SIP is not equipped with the
   mechanisms to respond to network events, and transition transport to
   reachable addresses. As a result, SIP messages and media might be
   filtered by routers, or discarded as unreachable destinations.

   SIP protocol (RFC 3261) defines signaling messages and their headers.
   This document describes how a multihomed host should select addresses
   for SIP headers, like Contact and Via, to be reachable destinations.
   Host SHOULD change a default router for uplink failures, remove
   prefixes and addresses for unreachable ISP, and update contact
   address list.

   SDP protocol (RFC 3264) defines how participants in a session select
   their parameters. This document describes how an offerer and answerer
   on multihomed hosts should select their addresses. If one of the
   selected addresses becomes unreachable, the document describes the
   mechanism how a new one should be selected and renegotiated.

---

From: "Mudric, Dusan (Dusan)" <[email-masked]>
Date: Tue, 21 Jan 2020 16:08:07 +0000

Hi,

This draft describes real connectivity issues when SIP signaling and media are run on multihomed hosts. The problems can happen in networks that uses two (or more) Internet Service Providers to access Internet. IPv6 community is working on improving address selection algorithms and addressing uplink failures (like the draft draft-ietf-rtgwg-enterprise-pa-multihoming). 

SIP can benefit from the work done in IPv6 Neighbor Discovery protocol. If you are interested in the SIP and SDP address selection algorithms, to avoid SIP signaling and media connectivity issues, please read this draft.

Regards,
Dusan Mudric.

> -----Original Message-----
> From: [email-masked] <[email-masked]>
> Sent: Wednesday, January 8, 2020 10:12 AM
> To: Mudric, Dusan (Dusan) <[email-masked]>; Grebovich, Dragan
> (Dragan) <[email-masked]>
> Subject: New Version Notification for draft-dmudric-sipcore-sipv6-addr-
> selection-00.txt
> 
> 
> A new version of I-D, draft-dmudric-sipcore-sipv6-addr-selection-00.txt
> has been successfully submitted by Dusan Mudric and posted to the IETF
> repository.
> 
> Name:		draft-dmudric-sipcore-sipv6-addr-selection
> Revision:	00
> URL:            https://urldefense.proofpoint.com/v2/url?u=https-
> 3A__www.ietf.org_internet-2Ddrafts_draft-2Ddmudric-2Dsipcore-2Dsipv6-
> 2Daddr-2Dselection-
> 2D00.txt&d=DwICaQ&c=BFpWQw8bsuKpl1SgiZH64Q&r=UT3Bk9cbLeaJxhf3iC
> rhIoUWB8YLZU23029sMQGQ2kY&m=7Bm2yVH2fEAqvxHLsJyOGxplLXkoKlP2
> AjSjtOG-
> Xow&s=mgqsOdLYQnbHyztvZEFX4rGNsQM5Biv1NwORaU4L5Mw&e=
> Status:         https://urldefense.proofpoint.com/v2/url?u=https-
> 3A__datatracker.ietf.org_doc_draft-2Ddmudric-2Dsipcore-2Dsipv6-2Daddr-
> 2Dselection_&d=DwICaQ&c=BFpWQw8bsuKpl1SgiZH64Q&r=UT3Bk9cbLeaJx
> hf3iCrhIoUWB8YLZU23029sMQGQ2kY&m=7Bm2yVH2fEAqvxHLsJyOGxplLXko
> KlP2AjSjtOG-
> Xow&s=j3iRdvUwsCEvOdUrDNKPmplpqmxjamYmBxFIzIbwrDM&e=
> Htmlized:       https://urldefense.proofpoint.com/v2/url?u=https-
> 3A__tools.ietf.org_html_draft-2Ddmudric-2Dsipcore-2Dsipv6-2Daddr-
> 2Dselection-
> 2D00&d=DwICaQ&c=BFpWQw8bsuKpl1SgiZH64Q&r=UT3Bk9cbLeaJxhf3iCrhIo
> UWB8YLZU23029sMQGQ2kY&m=7Bm2yVH2fEAqvxHLsJyOGxplLXkoKlP2AjSjt
> OG-Xow&s=w7OZTlKFWgeaigXzkBhDWMRdwnbigRXlVqunoR2GTOo&e=
> Htmlized:       https://urldefense.proofpoint.com/v2/url?u=https-
> 3A__datatracker.ietf.org_doc_html_draft-2Ddmudric-2Dsipcore-2Dsipv6-
> 2Daddr-
> 2Dselection&d=DwICaQ&c=BFpWQw8bsuKpl1SgiZH64Q&r=UT3Bk9cbLeaJxhf
> 3iCrhIoUWB8YLZU23029sMQGQ2kY&m=7Bm2yVH2fEAqvxHLsJyOGxplLXkoKl
> P2AjSjtOG-
> Xow&s=QOTWb_Hbyeesr_czmXSoZ9g7tZBevlLVLyTVgd_7bWs&e=
> 
> 
> Abstract:
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat

---

From: [email-masked] (Dale R. Worley)
Date: Sat, 25 Jan 2020 11:35:45 -0500

"Mudric, Dusan (Dusan)" <[email-masked]> writes:
> This draft describes real connectivity issues when SIP signaling and
> media are run on multihomed hosts. [...]

Does it handle cases where initial messages have to be sent to a target
that has multiple addresses?  I worked on that in
draft-worley-sipcore-happy-earballs-00 and there are a lot of
considerations involved.

Dale